| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_cfft_instance_f32 Struct Reference

Instance structure for the floating-point CFFT/CIFFT function.

## Data Fields

uint16_t | fftLen
const float32_t * | pTwiddle
const uint16_t * | pBitRevTable
uint16_t | bitRevLength

## Field Documentation

uint16_t arm_cfft_instance_f32::bitRevLength

bit reversal table length.

Referenced by arm_cfft_f32(), and arm_rfft_fast_init_f32().

uint16_t arm_cfft_instance_f32::fftLen

length of the FFT.

Referenced by arm_cfft_f32(), arm_cfft_radix8by2_f32(), arm_cfft_radix8by4_f32(), arm_rfft_fast_f32(), and arm_rfft_fast_init_f32().

const uint16_t* arm_cfft_instance_f32::pBitRevTable

points to the bit reversal table.

Referenced by arm_cfft_f32(), and arm_rfft_fast_init_f32().

const float32_t* arm_cfft_instance_f32::pTwiddle

points to the Twiddle factor table.

Referenced by arm_cfft_f32(), arm_cfft_radix8by2_f32(), arm_cfft_radix8by4_f32(), and arm_rfft_fast_init_f32().